/*
 * Copyright 2012 Simeon de Dios
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 
#import "DEServiceClientDefines.h"


#pragma mark -
#pragma mark Forward Declarations

@class DEServiceClient;


#pragma mark Class Extension

@interface DEServiceOperation()

#pragma mark -
#pragma mark Methods

- (id)_initWithRequest: (NSURLRequest *)request
    bodyDataProvider: (NSData * (^)(DEServiceOperation *))dataProvider
    format: (DEServiceFormat)format
    dispatchPriority: (dispatch_queue_priority_t)dispatchPriority    
    transform: (id (^)(NSHTTPURLResponse *response, id data))transform
    completion: (void (^)(DEServiceResult result, NSHTTPURLResponse *response, id data))completion
    serviceClient: (DEServiceClient *)serviceClient
    context: (id)context;


@end  // @interface DEServiceOperation()
